<?php
declare(strict_types=1);

namespace App\Entity\Billing;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class BillDebitBalance
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'billDebitBalances')]
    #[ORM\JoinColumn(nullable: false)]
    private AccessBilling $accessBilling;

    #[ORM\ManyToOne(cascade: ['persist'], inversedBy: 'billDebitBalances')]
    #[ORM\JoinColumn(nullable: false)]
    private BillPayment $billPayment;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getAccessBilling(): ?AccessBilling
    {
        return $this->accessBilling;
    }

    public function setAccessBilling(?AccessBilling $accessBilling): self
    {
        $this->accessBilling = $accessBilling;

        return $this;
    }

    public function getBillPayment(): ?BillPayment
    {
        return $this->billPayment;
    }

    public function setBillPayment(?BillPayment $billPayment): self
    {
        $this->billPayment = $billPayment;

        return $this;
    }
}